## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 21;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           shybrid
Version:        0.4.3
Release:        %autorelease
Summary:        GUI for generating hybrid ground-truth spiking data

License:        GPL-3.0-or-later
URL:            https://github.com/jwouters91/shybrid
Source0:        %{pypi_source shybrid}
Source1:        shybrid.desktop

# Remove useless or unused shebang lines
# https://github.com/jwouters91/shybrid/pull/13
Patch:          %{url}/pull/13.patch

BuildArch:      noarch 

BuildSystem:            pyproject
BuildOption(install):   -l hybridizer

BuildRequires:  python3-matplotlib-qt5
Requires:       python3-matplotlib-qt5

BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

%description
SHYBRID is a graphical user interface that allows for the easy creation of
hybrid ground truth extracellular recordings.


%prep -a
# Do not pin an exact version of PyQt5
sed -r -i 's/(PyQt5)==/\1>=/' setup.py
# These also have unnecesary shebangs, and were not included in PR#13
find examples -type f -name '*.py' -exec sed -r -i '1{/^#!/d}' '{}' '+'


%install -a
desktop-file-install \
    --dir='%{buildroot}%{_datadir}/applications' \
    '%{SOURCE1}'


%files -f %{pyproject_files}
%doc README.md
%doc examples/

%{_bindir}/shybrid
%{_datadir}/applications/shybrid.desktop


%changelog
## START: Generated by rpmautospec
* Sun May 11 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.4.3-21
- Update .rpmlintrc file for current rpmlint

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sun Nov 03 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.4.3-18
- F41+: Use the provisional declarative buildsystem

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 0.4.3-16
- Rebuilt for Python 3.13

* Mon May 20 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.4.3-15
- Package the examples as documentation

* Mon May 20 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.4.3-11
- Convert License to SPDX

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 04 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.4.3-9
- Assert a license file is automatically handled; don’t package a duplicate

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 27 2023 Python Maint <python-maint@redhat.com> - 0.4.3-6
- Rebuilt for Python 3.12

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 0.4.3-3
- Rebuilt for Python 3.11

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Dec 27 2021 Vanessa_kris <vanessaigwe1@gmail.com> - 0.4.3-1
- Initial import (#2031721).
## END: Generated by rpmautospec
